diff --git a/tests/subsys/settings/fcb/src/settings_test_fcb.c b/tests/subsys/settings/fcb/src/settings_test_fcb.c
index 1021f7896750c..e422a809f39b3 100644
--- a/tests/subsys/settings/fcb/src/settings_test_fcb.c
+++ b/tests/subsys/settings/fcb/src/settings_test_fcb.c
@@ -188,6 +188,7 @@ void config_wipe_fcb(struct flash_sector *fs, int cnt)
 	int i;
 
 	rc = flash_area_open(FLASH_AREA_ID(storage), &fap);
+	zassert_true(rc == 0, "Can't open storage flash area");
 
 	for (i = 0; i < cnt; i++) {
 		rc = flash_area_erase(fap, fs[i].fs_off, fs[i].fs_size);
